# This is a sample `make.ini' file for NDMAKE.  You will probably want
# to customize it for your system.

# If .NOIG is used, it *must* be the first directive in this file.
#.NOIG


# The order to search for rules and files is specified by .SUFFIXES
.SUFFIXES : .exe .obj .c .for .asm .y .l


# The directory NDMAKE uses for temporary file
MAKE_TMP= $(TMP)


# Macros for compilers and assemblers.
AS	= masm
CC	= cl
CFLAGS	= -A$(MODEL)
LEX	= lex
LFLAGS	= 
YACC	= yacc
YFLAGS	= 


# Other useful macros
BIN	=
ECHO	= >stdout
LIBS	=
MODEL	= S
SETARGV	= $(LIB)\$(MODEL)SETARGV
LINKFLAGS =


# DEFAULT RULES
#
#	ASM -> OBJ using MASM.
.asm.obj:
	${AS} $<;

#	C -> OBJ using Microsoft C. 
.c.obj:
	${CC} ${CFLAGS} -c $<

#	FOR -> OBJ using Microsoft Fortran.
.for.obj:
	for1 $<;
	pas2

# 	Y -> C, for YACC
.y.c:
	$(YACC) $(YFLAGS) $<
	rename ytab.c $@

#	L -> C, for LEX
.l.c:
	$(LEX) $(LFLAGS) $<
	mv lex.yy.c $@


# To produce a `.exe' file from an `.obj' file.  Note that there is a
# problem because LIBS may be different for linking `.obj' files
# produced by different compilers (C, FORTRAN, PASCAL, etc).  To avoid
# this problem you may want to have the C compiler produce `.cbj' files,
# the FORTRAN compiler produce `.fbj' files, etc.  Then you could write
# specific rules for `.cbj.exe' and `.fbj.exe' which would use the correct
# libraries.
.obj.exe:
	link $< $(SETARGV), $@,, $(LIBS) $(LINKFLAGS);

# To produce a `.exe' file from a `.asm' file.
.asm.exe:
	${AS} $<;
	link $*.obj, $@,, $(LIBS)
	erase $*.obj

# To produce a `.exe' file from a `.c' file.
.c.exe:
	${CC} $(CFLAGS) -c $<
	link $*.obj $(SETARGV), $@,, $(LIBS) $(LINKFLAGS);
	erase $*.obj

# To produce a `.exe' file from a `.for' file.
.for.exe:
	for1 $<;
	pas2
	link $*.obj, $@,, $(LIB)\FORTRAN
	erase $*.obj

# A universally useful target so "make clean" always works.
clean:
	-(erase *.bak; erase *.map)

large:
	(if exist \bin\c3s.exe do goto end; \
	 rename \bin\c3.exe c3s.exe; \
	 rename \bin\c3l.exe c3.exe; \
	 :end)
small:
	(if exist \bin\c3s.exe do goto end; \
	 rename \bin\c3.exe c3l.exe; \
	 rename \bin\c3s.exe c3.exe; \
	 :end)

chkdsk:
	chkdsk d:
